## PopplerColor

PopplerColor — Colors

## Functions

PopplerColor * | poppler_color_new ()
PopplerColor * | poppler_color_copy ()
void | poppler_color_free ()

## Types and Values

| PopplerColor

## Includes

    #include <poppler.h>

## Description

## Functions

### poppler_color_new ()

    PopplerColor *
    poppler_color_new (void);

Creates a new PopplerColor

#### Returns

a new PopplerColor, use `poppler_color_free()` to free it

### poppler_color_copy ()

    PopplerColor *
    poppler_color_copy (PopplerColor *color);

Creates a copy of `color`

#### Parameters

color | a PopplerColor to copy |

#### Returns

a new allocated copy of `color`

### poppler_color_free ()

    void
    poppler_color_free (PopplerColor *color);

Frees the given PopplerColor

#### Parameters

color | a PopplerColor |

## Types and Values

### PopplerColor

    typedef struct {
      guint16 red;
      guint16 green;
      guint16 blue;
    } PopplerColor;

A PopplerColor describes a RGB color. Color components are values between 0 and 65535

#### Members

guint16 `red`; | the red componment of color |
guint16 `green`; | the green component of color |
guint16 `blue`; | the blue component of color |